List vendors
https://api.light.inc/v1/vendors
Returns a paginated list of vendors
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
name,spendLastMtd,createdAt,updatedAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
id,status,type,ledgerAccountId,ledgerTaxId,spendLastMtd,createdAt,updatedAt. - For
-
searchTermstringSearch term to filter results by. Performs a case-insensitive partial match across searchable fields.
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
offsetinteger · int64deprecatedNumber of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually.
Response
-
recordsarray of objectList of records for the current page
-
typestringType of the vendor.
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
EXTERNALUSER -
vendorIdstring · uuidExternal ID of the vendor.
-
companyIdstring · uuidID of the company this vendor belongs to.
-
companyEntityIdsarray of string · uuidIDs of the company entities this vendor is associated with.
-
defaultCompanyEntityobjectDefault company entity configuration for this vendor, if any.
Note
The entity and the defaults (expense account, tax code, cost center, paying bank account) used when a bill from this vendor is created.
-
idstring · uuidID of the default company entity configuration.
-
vendorIdstring · uuidID of the vendor.
-
companyEntityIdstring · uuidID of the company entity.
-
accountIdstring · uuidID of the ledger account to use for this vendor.
-
taxCodeIdstring · uuidID of the tax code to use for this vendor.
-
costCenterIdstring · uuidID of the cost center to use for this vendor.
-
senderBankAccountIdstring · uuidID of the sender bank account to use for payments to this vendor.
-
createdAtstring · date-timeTimestamp when the configuration was created.
-
updatedAtstring · date-timeTimestamp when the configuration was last updated.
-
-
vatIdstringVendor VAT ID.
-
businessRegistrationNumberstringVendor business registration number.
-
identifierstringVendor identifier (external/system identifier).
-
namestringVendor name.
-
descriptionstringVendor description or memo.
-
avatarUrlstringVendor avatar/logo URL.
-
emailstringVendor email address.
-
phoneNumberobjectNote
The vendor's phone number. May be
null.PUT /v1/vendors/{vendorId}is a full replacement, so leaving it out clears it.-
countryCodestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
localNumberstringNote
The number without the country code.
-
-
websitestringVendor website.
-
countrystringVendor country.
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystringVendor city.
-
addressstringVendor street address.
-
zipcodestringVendor ZIP/postal code.
-
bankNamestringVendor bank name.
-
bankCountrystringVendor bank country.
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
bankCitystringVendor bank city.
-
bankAddressstringVendor bank address.
-
bankZipcodestringVendor bank ZIP/postal code.
-
bankAccountNumberstringVendor bank account number (IBAN or local format).
-
bankAccountBicstringVendor bank BIC/SWIFT code.
-
domesticBankAccountNumberstringVendor domestic bank account number (country-specific format).
-
domesticBankAccountCodestringVendor domestic bank account code (e.g. routing/sort code).
-
swedishBankgiroNumberstringVendor Swedish Bankgiro number, if applicable.
-
swedishPlusgiroNumberstringVendor Swedish Plusgiro number, if applicable.
-
bankRecipientNamestringName of the bank account holder. When set, this overrides the vendor name on the payment recipient for providers that consult it (currently Airwallex).
-
isWithholdingSubjectbooleanWhether the vendor's invoices are expected to carry a withholding tax. The withholding tax code itself is the vendor's default tax code on the company entity.
-
vendorCreatedAtstring · date-timeTimestamp when the vendor was created.
-
approversarray of objectList of vendor approvers.
-
idstring · uuidID of the vendor approver entry.
-
userIdstring · uuidID of the approver user.
-
vendorIdstring · uuidID of the vendor.
-
priorityinteger · int32Approval priority (lower means earlier).
-
createdAtstring · date-timeTimestamp when the approver entry was created.
-
-
notesarray of objectList of vendor notes.
-
idstring · uuidNote
The note id.
-
vendorIdstring · uuidNote
The vendor the note is on.
-
authorIdstring · uuidNote
The user who wrote the note.
-
companyIdstring · uuidNote
Your company id.
-
channelstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
WEB_APPSLACK -
contentstringNote
The note text.
-
createdAtstring · date-timeNote
When the note was written.
-
updatedAtstring · date-timeNote
When it was last edited.
-
-
currencystringNote
The vendor's invoicing currency.
-
contractValueinteger · int64Vendor contract value in cents.
-
createdBystring · uuidID of the user who created the vendor.
-
statusstringVendor onboarding/status.
⚠️ This enum is not exhaustive; new values may be added in the future.
Note
ONBOARDING(vendor portal in progress),IN_REVIEW(awaiting approval in Light; updates rejected),ACTIVE,FAILED(rejected; an update re-submits it). Not settable, and there is no archive endpoint.One of
ONBOARDINGIN_REVIEWACTIVEFAILED -
failureContextobjectFailure context when vendor onboarding fails.
Note
The error of the last failed step, if any.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
versioninteger · int32Vendor record version.
-
updatedAtstring · date-timeTimestamp when the vendor was last updated.
-
customPropertiesarray of objectCustom properties set on the vendor.
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
representedCompanyEntityIdstring · uuidID of the company entity this business partner represents. Set when Light creates the partner for intercompany invoicing, or when a user links an existing one; null for ordinary vendors.
-
lastMtdSpendInGroupCurrencyinteger · int64Last month-to-date spend in group currency.
-
groupCurrencystringNote
Your company's group currency, in which the vendor's group-currency figures are expressed.
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
totalinteger · int64deprecatedTotal number of records (only for offset pagination). This field is not guaranteed to be returned and only available for offset pagination, please do not rely on it and migrate to cursor pagination.
-
nextCursorstringCursor for fetching the next page (only for cursor pagination)
-
prevCursorstringCursor for fetching the previous page (only for cursor pagination)